﻿using System;
using System.Runtime.InteropServices;
using System.Text;

namespace MarkusGrothoff.Media {

    /// <summary>
    /// Stellt Funktionen zum Zugriff auf die Windows Mci-Api bereit.
    /// </summary>
    public static class MciApi {

        internal enum NotifyMessage {
            Successful = 0x1,
            Seperseded = 0x2,
            Aborted = 0x4,
            Failure = 0x8
        }

        [DllImport("winmm", EntryPoint = "mciSendStringA")]
        public static extern int SendString(String lpstrCommand, StringBuilder lpstrReturnString,
            int uReturnLength, IntPtr hwndCallback);

        [DllImport("winmm", EntryPoint = "mciGetErrorStringA")]
        public static extern int GetErrorString(int hResult, StringBuilder lpstrReturnString,
            int uReturnLength);
    }
}
