﻿
namespace MarkusGrothoff.Media {

    /// <summary>
    /// Media-Status.
    /// </summary>
    public enum MediaStatus {
        /// <summary>
        /// Keine Wiedergabe.
        /// </summary>
        Stopped,
        /// <summary>
        /// Wiedergabe läuft.
        /// </summary>
        Playing,
        /// <summary>
        /// Wiedergabe pausiert.
        /// </summary>
        Paused,
        /// <summary>
        /// Gerät ist geschlossen.
        /// </summary>
        Closed
    }
}